Page MenuHomePhabricator

Move mathoid to the logging pipeline
Closed, ResolvedPublic

Description

Similar to other service-runner services, mathoid also will need to move to logging pipeline

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 2:12 PM
akosiaris triaged this task as Medium priority.
akosiaris added a subscriber: akosiaris.

mathoid is already in the logging pipeline, e.g: https://logstash.wikimedia.org/goto/82706aa1d6f8767984775ab477f6d69c.

What does remain however is to remove the direct logging to logstash and rely just on the pipeline. I 'll prepare and upload patches for that.

Change 573231 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] mathoid: Remove logstash logging

https://gerrit.wikimedia.org/r/573231

Change 573231 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] mathoid: Remove logstash logging

https://gerrit.wikimedia.org/r/573231

Mentioned in SAL (#wikimedia-operations) [2020-02-19T09:49:25Z] <akosiaris> T245516. Deploy mathoid chart version 0.0.27, removing logstash gelf configuration

akosiaris closed this task as Resolved.Feb 19 2020, 9:52 AM

mathoid chart version 0.0.27, with the logstash gelf output disabled, has been deployed on all 3 clusters (staging, codfw, eqiad). Marking as resolved

Aklapper added a project: Math.Jun 24 2020, 5:53 AM